Package org.h2gis.functions.spatial.distance

## Class ST_ShortestLine

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.distance.ST_ShortestLine

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_ShortestLine
    extends org.h2gis.api.DeterministicScalarFunction

Returns the 2-dimensional shortest line between two geometries.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_ShortestLine()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.LineString` `shortestLine​(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)` Compute the shortest line between two geometries.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_ShortestLine

    public ST_ShortestLine()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### shortestLine

    public static org.locationtech.jts.geom.LineString shortestLine​(org.locationtech.jts.geom.Geometry geomA,
                                                                    org.locationtech.jts.geom.Geometry geomB)
                                                             throws SQLException

Compute the shortest line between two geometries.

Parameters:
  `geomA` -
  `geomB` -
Returns:
Throws:
  `SQLException`